View Issue Details

IDProjectCategoryView StatusLast Update
0005104Talermechant backendpublic2017-10-18 15:42
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.4 
Target Version0.4Fixed in Version0.4 
Summary0005104: Multi coin payments in testcase
Descriptionmerchant-lib only does one-coin payments, which might not help detect subtle issues; especially those issues related to backend services meant to return a "list of things".

Having only one-coin payments around makes those "list of things" quite static and doesn't trigger more complicated logics in the backend.

One example is the /refund test: right now refunds are done against one coin; they are trivial to both generate (at the backend) and test (at the testcase).
TagsNo tags attached.

Relationships

related to 0005087 closedMarcello Stanisci Smarter /refund tests 

Activities

Marcello Stanisci

2017-07-11 17:25

manager   ~0012327

Implemented in 3fa209c. Coins to be used in the payment are statically selected (when defining OC_PAY command).

Issue History

Date Modified Username Field Change
2017-07-04 17:51 Marcello Stanisci New Issue
2017-07-04 17:51 Marcello Stanisci Status new => assigned
2017-07-04 17:51 Marcello Stanisci Assigned To => Marcello Stanisci
2017-07-04 17:51 Marcello Stanisci Target Version => 0.6
2017-07-04 17:51 Marcello Stanisci Description Updated View Revisions
2017-07-04 19:01 Marcello Stanisci Relationship added related to 0005087
2017-07-11 17:25 Marcello Stanisci Note Added: 0012327
2017-07-11 17:25 Marcello Stanisci Status assigned => resolved
2017-07-11 17:25 Marcello Stanisci Resolution open => fixed
2017-07-13 21:38 Christian Grothoff Product Version => 0.4
2017-07-13 21:38 Christian Grothoff Target Version 0.6 => 0.4
2017-07-20 09:24 Christian Grothoff Fixed in Version => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed